Bug 1898981 - python-dmidecode fails to build with Python 3.10: Test runner truncates Python 3.10 to 3.1
Summary: python-dmidecode fails to build with Python 3.10: Test runner truncates Pytho...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dmidecode
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. sagitter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-18 12:42 UTC by Miro Hrončok
Modified: 2020-11-27 07:45 UTC (History)
4 users (show)

Fixed In Version: 3.12.2-22.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-26 19:43:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-11-18 12:42:42 UTC
python-dmidecode fails to build with Python 3.10.0a2.

+ make
python3 unit -vv
================================================================================
 * Testing for command line version of dmidecode ...WARN
 * Running test as normal user, some tests will be skipped
 * Creation of temporary files...PASS
================================================================================
 * Importing module...FAIL
No module named 'dmidecode'
================================================================================
make: *** [Makefile:4: test] Error 1


The unit-tests/unit has:

pyver = sys.version[:3]
sys.path.insert(0,'../build/lib.%s-%s-%s' % (sysname.lower(), machine, pyver))

That truncates Python 3.10 to 3.1.


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01761528-python-dmidecode/

For all our attempts to build python-dmidecode with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-dmidecode/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Fedora Admin user for bugzilla script actions 2020-11-25 14:56:45 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Antonio T. sagitter 2020-11-26 19:43:52 UTC
Fixed with build release python-dmidecode-3.12.2-22

Comment 3 Miro Hrončok 2020-11-27 07:45:04 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.